<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>

	<!-- An "id" attribute assigns a unique names identifier to an element -->
	<h2 id="top">HTML Attributes</h2>
	<p><em>Modifiers of element behaviours</em></p>

	<p align="center">Another paragraph</p>
	<!-- HTML elements have default "behaviour" when shown in a browser. Attributes allow us to change these behaviours.-->

	<a href="https://place-puppy.com/" target="_blank"> <!-- creates a redirect to the puppy.com website when you click on the puppy image -->

		<!-- The "target" attribute defines where the link will be opened. Providing the value "_blank" will open the link in a new tab. By default hyperlinks open pages in the same tab -->
		<img src="https://place-puppy.com/300x300" height="250" width="250">
	<!-- Absolute link -->
	</a>

	<img src="./maseratti.jpg" height="250" width="250" align="right">

	<p>Valid images extensions are the following:</p>
	<ol type="I" reversed> <!-- Use capital "I" or small "i" to chnage the numbered list to roman numerals -->

		<!-- "Reversed" keyword changes the order in the list -->

		<!-- We can also use characters like "a" -->
		<li>jpg</li>
		<li>png</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<ul type="square"> <!-- Change the bullet points to "Circle", or "Square" -->
		<li>jpg</li>
		<li>png</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ul>

	<h2>HTML Links</h2>

	<h4>Absolute Links</h4>
	<!-- we use an anchor "a" tag to create an absolute link whuich redirects to different website -->
	<!-- we also use href "hypertext reference" -->

	<a href="https://zuitt.co">I am an absolute link</a>

	<h4>Relative Link</h4>
	<!-- Redirects to a different page in the same website -->

	<p>Go to <a href="link.html">link.html</a></p>

	<p>Go to <a href="#top">top</a></p>

	<p>Go to <a href="./images/image.html">image.html</a></p> <!-- "./images" points to the images folder and "image.html" to the file -->

</body>
</html>